#ifndef _SAUSPRIV_H
#define _SAUSPRIV_H

/*
sauspriv.h -- private sausage info that the main app doesn't need to see
*/

#define SAUSAGE_VERSION (0x0010)
#define FILENAMELEN 80

#ifdef _MSC_VER
#pragma pack(push, butthole)
#endif
#pragma pack(1)

typedef struct {
  char signature[8];
  int version;
  int num_files;
} sausage_header;

/* as appears on disk */
typedef struct {
  char filename[FILENAMELEN];
  int offset;
  int len;
} sausage_file_entry;

/* kept in mem */
typedef struct {
  char filename[FILENAMELEN];
  char sausage[16];
  int offset;
  int len;
} sausage_index_entry;

#ifdef _MSC_VER
#pragma pack(pop, butthole)
#else
#pragma pack()
#endif

#endif
